package com.tin.tds.bean;

import java.text.DecimalFormat;
import java.text.DecimalFormatSymbols;
import java.util.Locale;

public class RAWFileStatisticData {
	private static DecimalFormatSymbols sf = new DecimalFormatSymbols(Locale.ENGLISH);
	private static DecimalFormat df  = new DecimalFormat("#.00",sf);
	
	private String countOfChallanRec ="-";
	private String formNo="-";
	private String transactionType="-";
	private String tan="-";
	private String lastTan="-";
	private String pan="-";
	private String assYear="-";
	private String finYear="-";
	private String period="-";
	private String employerName="-";
	private String grossTDSTotalAsPerChallan="-";
	private String countOfSalaryDetailRec="-";
	private String grossTotalIncomeSD="-";
	private String statChallanCount="0";
	private String challanAmountAsPerChallan="0";
	private String statTransferVoucherCount="0";
	private String transferAmountAsPerTV="0";
	private String typeOfChallan="-";
	private String matchChallanCount="0";
	private String totalChallanforCINCheck="0";
	private String totalChallanforCINCheck2="0";
	private String statTotalNoOfDDRec="-";
	private String receiptValidPAN="0";
	private String statCntTaxDeductedAtHighRate="0";
	
	
	public String getCountOfChallanRec() {
		return countOfChallanRec;
	}
	public void setCountOfChallanRec(String countOfChallanRec) {
		if(countOfChallanRec!=null && !countOfChallanRec.equals(""))
		{
			this.countOfChallanRec = String.valueOf(Integer.parseInt(countOfChallanRec));
		}
	}
	public String getFormNo() {
		return formNo;
	}
	public void setFormNo(String formNo) {
		this.formNo = formNo;
	}
	public String getTransactionType() {
		return transactionType;
	}
	public void setTransactionType(String transactionType) {
		if(transactionType!=null && !transactionType.equals(""))
		{
			this.transactionType = transactionType;
		}
	}
	public String getTan() {
		return tan;
	}
	public void setTan(String tan) {
		if(tan!=null && !tan.equals(""))
		{
			this.tan = tan;
		}
	}
	public String getLastTan() {
		return lastTan;
	}
	public void setLastTan(String lastTan) {
		if(lastTan!=null && !lastTan.equals(""))
		{
			this.lastTan = lastTan;
		}
	}
	public String getPan() {
		return pan;
	}
	public void setPan(String pan) {
		if(pan!=null && !pan.equals(""))
		{
			this.pan = pan;
		}
	}
	public String getAssYear() {
		return assYear;
	}
	public void setAssYear(String assYear) {
		this.assYear = assYear;
	}
	public String getFinYear() {
		return finYear;
	}
	public void setFinYear(String finYear) {
		this.finYear = finYear;
	}
	public String getPeriod() {
		return period;
	}
	public void setPeriod(String period) {
		this.period = period;
	}
	public String getEmployerName() {
		return employerName;
	}
	public void setEmployerName(String employerName) {
		if(employerName!=null && !employerName.equals(""))
		{
			this.employerName = employerName.trim();
		}
	}
	public String getGrossTDSTotalAsPerChallan() {
		return grossTDSTotalAsPerChallan;
	}
	public void setGrossTDSTotalAsPerChallan(String grossTDSTotalAsPerChallan) {
		if(grossTDSTotalAsPerChallan!=null && !grossTDSTotalAsPerChallan.equals(""))
		{
			this.grossTDSTotalAsPerChallan = df.format(Double.parseDouble(grossTDSTotalAsPerChallan));
		}
	}
	public String getCountOfSalaryDetailRec() {
		return countOfSalaryDetailRec;
	}
	public void setCountOfSalaryDetailRec(String countOfSalaryDetailRec) {
		if(countOfSalaryDetailRec!=null && !countOfSalaryDetailRec.equals(""))
		{
			this.countOfSalaryDetailRec = df.format(Double.parseDouble(countOfSalaryDetailRec));
		}
	}
	public String getGrossTotalIncomeSD() {
		return grossTotalIncomeSD;
	}
	public void setGrossTotalIncomeSD(String grossTotalIncomeSD) {
		if(grossTotalIncomeSD!=null && !grossTotalIncomeSD.equals(""))
		{
			this.grossTotalIncomeSD = df.format(Double.parseDouble(grossTotalIncomeSD));
		}
	}
	public String getStatChallanCount() {
		return statChallanCount;
	}
	public void addStatChallanCount() {
		
		if(this.statChallanCount.equals("-"))
		{
			this.statChallanCount = String.valueOf(1);
		}
		else
		{
			this.statChallanCount = String.valueOf(Integer.parseInt(this.statChallanCount)+1);
		}
	}
	public String getChallanAmountAsPerChallan() {
		return challanAmountAsPerChallan;
	}
	public void addChallanAmountAsPerChallan(String challanAmountAsPerChallan) {
		if(challanAmountAsPerChallan!=null && !challanAmountAsPerChallan.equals(""))
		{
			if(this.challanAmountAsPerChallan.equals("-"))
			{
				this.challanAmountAsPerChallan = df.format(Double.parseDouble(challanAmountAsPerChallan));
			}
			else
			{
				this.challanAmountAsPerChallan = df.format(Double.parseDouble(this.challanAmountAsPerChallan)+Double.parseDouble(challanAmountAsPerChallan));
			}
		}
	}
	public String getStatTransferVoucherCount() {
		return statTransferVoucherCount;
	}
	public void addStatTransferVoucherCount() {
		
		if(this.statTransferVoucherCount.equals("-"))
		{
			this.statTransferVoucherCount = String.valueOf(1);
		}
		else
		{
			this.statTransferVoucherCount = String.valueOf(Integer.parseInt(this.statTransferVoucherCount)+Integer.parseInt(statTransferVoucherCount));
		}
	}
	public String getTransferAmountAsPerTV() {
		return transferAmountAsPerTV;
	}
	public void addTransferAmountAsPerTV(String transferAmountAsPerTV) {
		
		if(transferAmountAsPerTV!=null && !transferAmountAsPerTV.equals(""))
		{
			if(this.transferAmountAsPerTV.equals("-"))
			{
				this.transferAmountAsPerTV = df.format(Double.parseDouble(transferAmountAsPerTV));
			}
			else
			{
				this.transferAmountAsPerTV = df.format(Double.parseDouble(this.transferAmountAsPerTV)+Double.parseDouble(transferAmountAsPerTV));
			}
		}
	}
	public String getTypeOfChallan() {
		return typeOfChallan;
	}
	public void setTypeOfChallan(String typeOfChallan) {
		
		if(typeOfChallan!=null && !typeOfChallan.equals(""))
		{
			this.typeOfChallan = typeOfChallan;
		}
	}
	public String getMatchChallanCount() {
		return matchChallanCount;
	}
	public void setMatchChallanCount(String matchChallanCount) {
		this.matchChallanCount = matchChallanCount;
	}
	public String getTotalChallanforCINCheck() {
		return totalChallanforCINCheck;
	}
	public void setTotalChallanforCINCheck(String totalChallanforCINCheck) {
		this.totalChallanforCINCheck = totalChallanforCINCheck;
	}
	public String getTotalChallanforCINCheck2() {
		return totalChallanforCINCheck2;
	}
	public void setTotalChallanforCINCheck2(String totalChallanforCINCheck2) {
		this.totalChallanforCINCheck2 = totalChallanforCINCheck2;
	}
	public String getStatTotalNoOfDDRec() {
		return statTotalNoOfDDRec;
	}
	public void addStatTotalNoOfDDRec(String statTotalNoOfDDRec) {
		
		
			if(statTotalNoOfDDRec!=null && !statTotalNoOfDDRec.equals(""))
			{
				if(this.statTotalNoOfDDRec.equals("-"))
				{
					this.statTotalNoOfDDRec = String.valueOf(Integer.parseInt(statTotalNoOfDDRec));
				}
				else
				{
					this.statTotalNoOfDDRec = String.valueOf(Integer.parseInt(this.statTotalNoOfDDRec)+Integer.parseInt(statTotalNoOfDDRec));
				}
			}
		
	}
	public String getReceiptValidPAN() {
		return receiptValidPAN;
	}
	public void addReceiptValidPAN() {
		if(this.receiptValidPAN.equals("-"))
		{
			this.receiptValidPAN = String.valueOf(1);
		}
		else
		{
			this.receiptValidPAN = String.valueOf(Integer.parseInt(this.receiptValidPAN)+1);
		}
	}
	public String getStatCntTaxDeductedAtHighRate() {
		return statCntTaxDeductedAtHighRate;
	}
	public void addStatCntTaxDeductedAtHighRate() {
		if(this.statCntTaxDeductedAtHighRate.equals("-"))
		{
			this.statCntTaxDeductedAtHighRate = String.valueOf(1);
		}
		else
		{
			this.statCntTaxDeductedAtHighRate = String.valueOf(Integer.parseInt(this.statCntTaxDeductedAtHighRate)+1);
		}
	}
	
	
}
